package com.bocloud.ims.interfaces.resource.f5;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.ims.entity.resource.f5.BiVlans;

public interface F5BiVlansService {

    /**
     * 列表
     * @param pager
     * @return
     */
    public BocloudResult<GridBean<BiVlans>> list(Pager pager);

    /**
     * 添加
     * 
     * @param biVlans
     * @param userId
     * @return
     */
    public BocloudResult create(BiVlans biVlans, Long userId);

    /**
     * 修改
     * 
     * @param biVlans
     * @param userId
     * @return
     */
    public BocloudResult modify(BiVlans biVlans, Long userId);

    /**
     * 删除
     * 
     * @param id
     * @param userId
     * @return
     */
    public BocloudResult remove(Long id, Long userId);

    /**
     * 详细信息
     * 
     * @param id
     * @return
     */
    public BocloudResult<BiVlans> detail(Long id);
}
